#ifndef MODULE_MINE_H
#define MODULE_MINE_H
/**
 * @brief 简要说明
 * @author 戴月腾
 * @date 2018-09-21
 */

#include "module_const.h"
#include "module_over_speed_vehicle.h"

class module_mine: public singleton_base<module_mine>
{
private:
    friend class singleton_base<module_mine>;
    module_mine()
    {
    }

public:
    static void on_point(uint32_t card_id,int32_t type, int vehicle_category_id)
    {
        auto card_ptr=card_list::instance()->get(tool_other::type_id_to_u64(type, card_id));
        if(!card_ptr)
        {
            log_error("卡不存在card_id=%d", card_id);
            return;
        }

        if(card_ptr->is_person())//人卡
        {
            
        }

        if(card_ptr->is_vehicle())//车卡
        {
            //区域车卡超速
            module_over_speed_vehicle::instance()->on_hover(card_ptr, vehicle_category_id);
        }
    }
};


#endif // MODULE_MINE_H
